[extensions-web] docker: properly group commands
- From: Yuri Konotopov <ykonotopov src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [extensions-web] docker: properly group commands
- Date: Sun, 7 Apr 2019 07:48:56 +0000 (UTC)
commit 9a919fdb01dbe899d20523395db7e36a585625f5
Author: Yuri Konotopov <ykonotopov gnome org>
Date: Sun Apr 7 11:39:07 2019 +0400
docker: properly group commands
openshift/docker/Dockerfile | 6 ++++--
1 file changed, 4 insertions(+), 2 deletions(-)
---
diff --git a/openshift/docker/Dockerfile b/openshift/docker/Dockerfile
index 8c9b34b..18648b8 100644
--- a/openshift/docker/Dockerfile
+++ b/openshift/docker/Dockerfile
@@ -17,6 +17,7 @@ RUN set -ex \
&& wget -O xapian-bindings.tar.xz.asc
"https://oligarchy.co.uk/xapian/$XAPIAN_VERSION/xapian-bindings-$XAPIAN_VERSION.tar.xz.asc" \
&& export GNUPGHOME="$(mktemp -d)" \
&& \
+ { \
found=''; \
for server in \
ha.pool.sks-keyservers.net \
@@ -27,8 +28,9 @@ RUN set -ex \
echo "Fetching GPG key $GPG_KEY from $server"; \
gpg --batch --keyserver $server --recv-keys "$GPG_KEY" && found=yes && break; \
done; \
- test -z "$found" && echo >&2 "error: failed to fetch GPG key $GPG_KEY" && exit 1; \
- gpg --batch --verify xapian-core.tar.xz.asc xapian-core.tar.xz \
+ test -z "$found" && { echo >&2 "error: failed to fetch GPG key $GPG_KEY" && exit 1; } || true; \
+ } \
+ && gpg --batch --verify xapian-core.tar.xz.asc xapian-core.tar.xz \
&& gpg --batch --verify xapian-bindings.tar.xz.asc xapian-bindings.tar.xz \
&& { command -v gpgconf > /dev/null && gpgconf --kill all || :; } \
&& rm -r "$GNUPGHOME" xapian-core.tar.xz.asc xapian-bindings.tar.xz.asc \
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]